module.exports = {
	'transform': {
		'^.+\\.tsx?$': 'ts-jest'
	},
	'testRegex': '(/__tests__/.*|(-|/)(test))\\.tsx?$',
	'moduleFileExtensions': [
		'ts',
		'tsx',
		'js',
		'jsx',
		'json',
	],

	'moduleNameMapper': {
		'^documentation(.*)$': '<rootDir>/modules/documentation/src/modules/$1',
		'^treejs-components(.*)$': '<rootDir>/modules/treejs-components/src/$1',
		'^treejs-constants(.*)$': '<rootDir>/modules/treejs-constants/src/$1',
		'^treejs-utils$': '<rootDir>/modules/treejs-utils',
		'^treejs-forms(.*)$': '<rootDir>/modules/treejs-forms/src/$1',
		'^treejs-redux(.*)$': '<rootDir>/modules/treejs-redux/src/$1',
		'^types(.*)$': '<rootDir>/modules/types/$1',
	},

	// enzyme
	'snapshotSerializers': ['enzyme-to-json/serializer'],
	'setupFilesAfterEnv': ['./modules/enzyme.config.ts'],
};
