import * as React from 'react';
import { render } from 'react-dom';
import { createStore } from 'redux';
import { Provider } from 'react-redux';
import { Router } from 'react-router';

import mainReducer from 'documentation/App/reducer';
import App from 'documentation/App/components';
import history from 'documentation/App/utils/history';

import 'types/global';


const store = createStore(
	mainReducer,
	window.__REDUX_DEVTOOLS_EXTENSION__ && window.__REDUX_DEVTOOLS_EXTENSION__()
);

render(
	<Provider store={store}>
		<Router history={history}>
			<App />
		</Router>
	</Provider>,
	document.getElementById('app'),
);

