import styled, { css } from '../styled';


export const StyledTopMenu = styled.div`
	height: 40px;
	
	background-color: ${(p) => p.theme.white};
	color: ${(p) => p.theme.primaryColor};
	
	padding: 10px 10px 10px 20px;
`;

export const StyledTopMenuItem = styled.div`
	margin: 10px;
	max-width: 100px;
	
	cursor: pointer;
	
	display: inline-block;
	vertical-align: middle;
`;

export const StyledTopMenuItemHamburger = styled(StyledTopMenuItem)`
	font-size: 22px;
	
	margin-right: 30px;
		
	@media only screen and (min-width: ${(p) => p.theme.monitorScreenSize}px) {
		display: none;
	}
`;

export const StyledLeftMenuLogo = styled.div`
	height: 40px;
	
	margin: 10px;
	
	font-size: 30px;
	
	text-align: center;
`;

interface IStyledLeftMenu {
	open: boolean;
}

export const StyledLeftMenu = styled.div<IStyledLeftMenu>`
	background-color: ${(p) => p.theme.primaryColor};
	color: ${(p) => p.theme.secondaryColor};
	
	display: ${(p) => p.open ? 'flex' : 'none'};
	flex-direction: column;
	flex-shrink: 0;
	
	width: ${(p) => p.open && 200}px;
	height: 100vh;
	
	@media only screen and (min-width: ${(p) => p.theme.monitorScreenSize}px) {
		display: flex;
		
		width: 200px;
	}
`;

export const StyledLeftMenuItem = styled.div`	
	margin-top: 5px;
	height: 30px;
	
	cursor: pointer;
`;

interface IStyledLeftMenuLabel {
	open: boolean;
}

export const StyledLeftMenuLabel = styled.div<IStyledLeftMenuLabel>`
	margin-left: 10px;
		
	display: inline-block;
	vertical-align: middle;
`;

interface IStyledRightSide {
	open: boolean;
}

export const StyledRightSide = styled.div<IStyledRightSide>`
	height: 100vh;
	width: 100vw;
	
	display: flex;
	flex-direction: column;
	
	overflow-y: auto;
	::-webkit-scrollbar {
		width: 5px;
	}
 
	::-webkit-scrollbar-track {
		background: #ddd;
	}
 
	::-webkit-scrollbar-thumb {
		background: #666; 
	}
	
	${(p) => p.open && css`
		overflow: hidden;
	`};
`;


interface IStyledPageContent {
	open: boolean;
}

export const StyledPageContent = styled.div<IStyledPageContent>`	
	padding-left: 20px;
	padding-right: 20px;
	
	height: inherit;

	${(p) => p.open && css`
		width: calc(100vw + ${p.open ? 200 : 0}px);
	`};
`;
