import * as React from 'react';
import { connect } from 'react-redux';


import Button from '../../Button';

import { addModal } from '../actions';
import { IModalOptions } from '../types';
import { addModalComponent } from '../utils/registerModal';


interface IProps extends IModalOptions {
	addModal: (options: IModalOptions) => void;
	component: React.ReactElement;
	modalTitle: string;
	title: string;
}

const AddModalButton = (props: IProps): React.ReactElement => {
	const {
		name,
		title,
		modalTitle,
		component,
		width,
	} = props;

	const handleClick = (): void => {
		props.addModal({ name, title: modalTitle, width });
		addModalComponent(name, component)
	};

	return (
		<Button title={title} onClick={handleClick} />
	);
};

export default connect(
	null,
	{
		addModal: addModal,
	}
)(AddModalButton);
