import { dissoc } from 'ramda';

import { IModalOptions } from '../types';

import { IAction } from 'types/redux/actions';
import { MODAL_ACTIONS } from 'types/redux/enums';


export interface IModalState {
	[key: string]: IModalOptions;
}

const initialState: IModalState = {};

type payloadType = IModalOptions;

const reducer = (state = initialState, { type, payload }: IAction<payloadType>): IModalState => {
	switch (type) {
		case MODAL_ACTIONS.ADD_MODAL:
			return {
				...state,
				[payload.name]: {
					visible: true,
					...payload,
				},
			};
		case MODAL_ACTIONS.REMOVE_MODAL:
			return dissoc(payload.name, state);
		default:
			return state
	}
};

export default reducer;
